;(function() {
  let NODE_ENV = 'prod' // dev:开发环境 | test:测试环境 | prod:生产环境
  let ENV_VAR = null
  let VERSION_NUMBER = 'v1.5.43' //版本号
  //小程序是否审核通过，参数配置在ucenter库version表，对应版本号的is_audit设置为1，将显示学习视频
  if (process.env.NODE_ENV === 'development') {
    if (NODE_ENV === 'dev') {
      ENV_VAR = require('./.env.dev.js')
    } else if (NODE_ENV === 'test') {
      ENV_VAR = require('./.env.test.js')
    } else if (NODE_ENV === 'prod') {
      ENV_VAR = require('./.env.prod.js')
    }
    // 百度地图AK，请勿删除
    ENV_VAR['bmapAK'] = 'G1wPip2Oj62NnoUctXhiE1faZVHbeo2A'
  } else if (process.env.NODE_ENV === 'production') {
    if (NODE_ENV === 'test') {
      ENV_VAR = require('./.env.test.js')
    } else if (NODE_ENV === 'prod') {
      ENV_VAR = require('./.env.prod.js')
    }
    // 百度地图AK，请勿删除
    ENV_VAR['bmapAK'] = 'lF1HoyXdiv4uZx6TrGQEZs48F5y8kEHI'
  }
  if (ENV_VAR) {
    process.uniEnv = {}
    process.uniEnv['node_env'] = NODE_ENV
    process.uniEnv['version_number'] = VERSION_NUMBER
    for (let key in ENV_VAR) {
      process.uniEnv[key] = ENV_VAR[key]
    }
  }
})()
